/**
 * web_servicecontroller.h: Delivers handshake, GetPlaylist, audioplayer->Next,...
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef WEB_SERVICECONNECTOR_H_
#define WEB_SERVICECONNECTOR_H_

#include <string>
#include "web_metadata.h"

class cWebServiceConnector
{
public:
	int Handshake( const std::string username, const std::string password_md5 );
	int Changestation( const std::string lastfm_url );
	int GetPlaylist( const std::string session_in="" );
	int Control( const char *cmd );
	// MetaData:
	cMetaData Meta( void );
	cMetaData_recentTracks recentTracks( const std::string filterword="all" );
	cMetaData_relatedArtists relatedArtists( void );
	int XmlRpcCall( std::string &output, const std::string method, const std::string tag );
private:
	int AudioPlayerSkip( const bool clearplaylist = false );
};

#endif // WEB_SERVICECONNECTOR_H_
